/* VARIABLES */
:root {
    /* typography */
    --size-1: 6.5rem;
    --size-2: 4rem;
    --size-3: 1.75rem;
    --size-4: 1.25rem;
    --size-5: 1.15rem;

    --weight-1: 700;
    --weight-2: 500;
    --weight-3: 400;

    /* Colors */
    --bg-color: #ffffff;
    --text-color: #1f1f1f;
    --content-color: #F3F3F3;  
    --inputs-color: #f2f2f2f2;
}

/* Reset ================================================= */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Gilroy';

    src: url(../fonts/Gilroy-Bold.ttf) format('truetype'),
        url(../fonts/Gilroy-Heavy.ttf) format('truetype'),
        url(../fonts/Gilroy-Light.ttf) format('truetype'),
        url(../fonts/Gilroy-Medium.ttf) format('truetype'),
        url(../fonts/Gilroy-Regular.ttf) format('truetype');

    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Gilroy light';

    src: url(../fonts/SVNGilroy\ Light.otf) format('opentype'),
        url(../fonts/SVNGilroy\ Bold.otf) format('opentype');

    font-weight: normal;
    font-style: normal;
}

::-webkit-scrollbar {
    width: 10px;
    height: 5px;
}

::-webkit-scrollbar-thumb {
    background: #c7c7c7f2;
    border-radius: .3rem;
}


/* Layout ======================================== */
html a,
html ul,
html p {
    font-family: 'Gilroy light';
}

html {
    font-family: 'Gilroy';
    scroll-behavior: smooth;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

.container {
    padding: 0 5rem;
}

.section {
    margin-bottom: 12.5rem;
}

.title {
    background: -webkit-linear-gradient(left, #9F9F9F 0%, #DADADA 100%);
    background: linear-gradient(left, #9F9F9F 0%, #DADADA 100%);

    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}

/* Header | Nav ======================================== */
#header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;

    display: flex;
    justify-content: space-between;
    align-items: center;

    height: 5.75rem;
    background: var(--bg-color);

    z-index: 100;
}

#header.scroll {
    box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.15);
}

.logo {
    font-weight: var(--weight-1);
    font-size: var(--size-4);

    text-transform: uppercase;
}

header .nav-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav .menu {
    display: flex;
    align-items: center;
    gap: 2.12rem;
    margin-right: 7.18rem;
}

.menu li a {
    color: var(--text-color);
    font-weight: var(--weight-2);
    font-size: var(--size-4);
}

nav .nav-search {
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-search .camp-search {
    background-color: var(--inputs-color);
    background-image: url(../img/Search.svg);
    background-repeat: no-repeat;
    background-position: 1rem;

    width: 14.6rem;
    padding: 1rem 3rem;

    border: none;
    border-radius: 3rem;

    margin-right: 1rem;
    outline: none;
}

.btn-bag .bag-icon {
    padding: 1rem;
    border-radius: 50%;
    background: var(--inputs-color);

    cursor: pointer;
}

.icon-menu,
.icon-close {
    display: none;
}

/* Main ========================================== */
.home {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 7.8rem;

    margin-top: 8rem;
}

.home .home-text .content-title {
    margin-bottom: 1.5rem;
}

.home .home-text .title-home {
    font-size: var(--size-1);
    line-height: 7.5rem;
}

.home .home-text p {
    font-size: var(--size-4);
    font-weight: var(--weight-3);

    margin-bottom: 6.75rem;
}

.add-to-cart {
    transition: .3s;
    font-size: var(--size-4);
}

.add-to-cart {
    display: flex;
    align-items: center;
    justify-content: space-between;

    background: none;
    padding: 1.8rem 2rem;
    border-radius: .75rem;

    font-weight: var(--weight-1);

    cursor: pointer;
}

.add-to-cart:hover {
    box-shadow: 0 0 4px 4px rgba(0, 0, 0, 0.089);
}

.add-to-cart .plus-icon {
    margin-left: 1.8rem;
}

.home .home-img {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    position: relative;
}

.home .home-img .homeBg-img {
    background: linear-gradient(270.06deg, #DADADA 20.97%, #9F9F9F 99.92%);
    opacity: 0.2;

    width: 30rem;
    height: 30rem;
    clip-path: circle();

}

.home .home-img img {
    position: absolute;
    width: 65%;
}

/* Highlight card ============================================================== */
.content-card {
    width: 100%;
}

.highlight-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    border-radius: .5rem;
    padding: 4rem 0;

    background: var(--content-color);
}

.highlight-card .title-card {
    text-transform: uppercase;
    font-size: 2.5rem;
    font-weight: var(--weight-1);

    margin-bottom: 4rem;
}

.selected-colors {
    display: flex;
    align-items: center;
    justify-content: center;

    gap: 1.25rem;
    margin-bottom: 2rem;
}

.selected-colors .circle {
    height: 2rem;
    width: 2rem;

    /* clip-path: circle(); */
    border-radius: 50%;
    cursor: pointer;
}

.circle:hover {
    border: 2px solid #fff;
}

.selected-colors .first {
    background: linear-gradient(270.06deg, #E4E4E4 20.97%, #FFFFFF 99.92%);
    border: 2px solid rgba(31, 31, 31, 0.5);
}

.selected-colors .second {
    background: linear-gradient(277.74deg, #FFE08D 9.16%, #FFB757 91.03%);
    opacity: 0.5;
}

.selected-colors .third {
    background: linear-gradient(270.06deg, #464646 20.97%, #D3D3D3 99.92%);
    opacity: 0.5;
}

.selected-colors .last {
    background: linear-gradient(270.06deg, #232323 20.97%, #000000 99.92%);
    opacity: 0.5;
}

.highlight-card .card-img {
    margin-bottom: 1.9rem;
}

.highlight-card span {
    margin-bottom: 4rem;
}

/* About ==================================================== */
.about-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 8rem;
    margin-bottom: 10rem;
}

.content-about-text {
    width: 36rem;
}

.title-about {
    font-size: 4rem;
    margin-bottom: 3.5rem;
}

.text-about {
    font-size: var(--size-4);
}

.img-about {
    width: 95%;
}

/* Lightness and agility */
.article1 .about-img img {
    float: right;
}

/* Immediate dampin */
.article2 .about-img {
    display: grid;
    grid-template-columns: .6fr .4fr;
}

.article2 .about-img img {
    height: 100%;
}

/* motivational content =================================================== */
.banner-motivational {
    width: 100%;
    height: 45rem;

    margin-top: 2.5rem;
    margin-bottom: 12.5rem;
    background: url(../img/banner.png) no-repeat;
}

.content-banner {
    padding: 1rem;
}

.content-banner div {
    display: flex;
    align-items: center;
    gap: 1.375rem;
}

.title-banner {
    font-size: var(--size-1);
    font-weight: var(--weight-1);

    color: #fff;
    text-transform: uppercase;
}

/* Contact */
.contact {
    width: 100%;
}

.content-contact {
    display: flex;
    justify-content: center;

    margin-bottom: 9rem;
}

.content-contact form {
    width: 38.313rem;

    display: flex;
    flex-direction: column;
    padding: 2.5rem 3rem 2.5rem;

    border-radius: 0 .5rem .5rem 0;
    
    background: var(--content-color);
}

.title-form {
    font-size: 2.5rem;
    margin-bottom: 2.5rem;
}

.content-contact form .data {
    font-size: var(--size-5);

    border: none; 
    border-radius: .75rem;
    padding: 1.5rem 1.75rem;

    outline: none;

}

.content-contact form .data-input {
    margin-bottom: 1.5rem;
    height: 4.75rem;
}

.content-contact form .data-textarea { 
    height: 16.25rem;
    margin-bottom: 3.5rem;
}

.content-contact form .checkbox {
    display: flex;
    align-items: center;

    margin-bottom: 2rem;
}

.content-contact form .checkbox span {
    font-family: 'Gilroy light';
    color:  #969696;
    font-size: var(--size-4);

    margin-left: 1rem;
}

input[type=checkbox] {
    width: 1.75rem;
    height: 1.75rem;

    color:  #969696;
}

.btn-send {
    display: flex;
    align-items: center;
    justify-content: center;

    font-size: var(--size-4);
    font-weight: var(--weight-1);
}

/* Footer =========================== */
footer {
    background: var(--content-color);
}

.footer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 4.5rem;

    padding: 3.5rem 0;
}

.title-links {
    font-weight: var(--weight-2);
    font-size: var(--size-4);
    
    text-transform: uppercase;
    margin-bottom: 1.125rem;
}

.list-footer {
    display: flex;
    flex-direction: column;
    gap: .75rem;
}

.list-footer a {
    color: var(--text-color);
    font-size: var(--size-4);
}

.content-icons {
    display: flex;
    align-items: center;

    gap: 1.25rem;
}

.footer-icons {
    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 1.25rem;

    padding: .5rem .375rem ;
    clip-path: circle();

    color: #fff;
    background: #000;

    cursor: pointer;

    transition: .3s;
}

.footer-icons:hover {
    transform: rotate(15deg);
}

.copyright {
    display: flex;
    align-items: center;
    justify-content: center;

    padding-bottom: 1.5rem;
}

.copyright-first {
    font-family: 'Gilroy Light';
    font-weight: 600;
    font-size: var(--size-4);

    text-transform: uppercase;
}

.copyright-second {
    font-family: 'Gilroy';
    font-size: var(--size-3);
    text-transform: none;
}

/* back-to-top ================ */
.back-to-top {
    background: var(--inputs-color);
    color: var(--text-color);

    position: fixed;
    right: 1rem;
    bottom: 1rem;

    padding: .5rem;
    clip-path: circle();
    line-height: 0;

    visibility: hidden;
    opacity: 0;

    transition: .3s;
    transform: translateY(100%);
}

.icon-top {
    font-size: 1.3rem;
}

.back-to-top.show {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}
